Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Null_Scheduling Class Reference

A scheduling strategy that separates event groups and delivers one event at a time. More...

`#include <EC_Null_Scheduling.h>`

Inheritance diagram for TAO_EC_Null_Scheduling:

[legend]
Collaboration diagram for TAO_EC_Null_Scheduling:

[legend]
List of all members.

## Public Methods
| TAO_EC_Null_Scheduling (void)
| Constructor. More...
virtual void | add_proxy_supplier_dependencies (TAO_EC_ProxyPushSupplier *supplier, TAO_EC_ProxyPushConsumer *consumer ACE_ENV_ARG_DECL)
| Add all the dependencies between <supplier> and <consumer>. More...
virtual void | schedule_event (const RtecEventComm::EventSet &event, TAO_EC_ProxyPushConsumer *consumer, TAO_EC_Supplier_Filter *filter ACE_ENV_ARG_DECL)
| Schedule an event set and deliver them to the filter in the desired order and grouping. More...

## Detailed Description

A scheduling strategy that separates event groups and delivers one event at a time.

## Constructor & Destructor Documentation

ACE_INLINE TAO_EC_Null_Scheduling::TAO_EC_Null_Scheduling | ( | void |  | ) |

| Constructor.

## Member Function Documentation

virtual void TAO_EC_Null_Scheduling::add_proxy_supplier_dependencies | ( | TAO_EC_ProxyPushSupplier * | supplier,
|  | TAO_EC_ProxyPushConsumer *consumer | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Add all the dependencies between <supplier> and <consumer>. Reimplemented from TAO_EC_Scheduling_Strategy.

void TAO_EC_Null_Scheduling::schedule_event | ( | const RtecEventComm::EventSet & | event,
|  | TAO_EC_ProxyPushConsumer * | consumer,
|  | TAO_EC_Supplier_Filter *filter | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Schedule an event set and deliver them to the filter in the desired order and grouping. Reimplemented from TAO_EC_Scheduling_Strategy.

The documentation for this class was generated from the following files:

- EC_Null_Scheduling.h
- EC_Null_Scheduling.cpp
- EC_Null_Scheduling.i